> ## Documentation Index
> Fetch the complete documentation index at: https://docs.heybee.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Huggingface Dataset Splits



## OpenAPI

````yaml /openapi.json get /v1/integrations/huggingface/datasets/{repo_id}/splits
openapi: 3.1.0
info:
  description: Customer-owned evaluation lifecycle API.
  title: HeyBee Public API
  version: 1.0.0
servers:
  - description: Production
    url: https://api.heybee.app
security: []
paths:
  /v1/integrations/huggingface/datasets/{repo_id}/splits:
    get:
      tags:
        - Hugging Face
      summary: Huggingface Dataset Splits
      operationId: >-
        huggingface_dataset_splits_v1_integrations_huggingface_datasets__repo_id__splits_get
      parameters:
        - in: path
          name: repo_id
          required: true
          schema:
            title: Repo Id
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: X-API-Key
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HuggingFaceDatasetSplitResponse'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - BearerAuth: []
        - ApiKeyAuth: []
components:
  schemas:
    HuggingFaceDatasetSplitResponse:
      properties:
        dataset_repo_id:
          title: Dataset Repo Id
          type: string
        splits:
          items:
            $ref: '#/components/schemas/HuggingFaceDatasetSplit'
          title: Splits
          type: array
      required:
        - dataset_repo_id
        - splits
      title: HuggingFaceDatasetSplitResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    HuggingFaceDatasetSplit:
      properties:
        config:
          title: Config
          type: string
        num_rows:
          anyOf:
            - type: integer
            - type: 'null'
          title: Num Rows
        split:
          title: Split
          type: string
      required:
        - config
        - split
      title: HuggingFaceDatasetSplit
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    BearerAuth:
      bearerFormat: Supabase JWT
      scheme: bearer
      type: http
    ApiKeyAuth:
      in: header
      name: X-API-Key
      type: apiKey

````